package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.mapper_yada.RegionVGIMapper;
import com.ruoyi.system.service_yada.IRegionVGIService;
import com.ruoyi.system.domain_yada.RegionVGIVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 大气质量监测
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:45
 */
@Service
public class RegionVGIServiceimpl implements IRegionVGIService {

    @Resource
    private RegionVGIMapper vgiMapper;

    @Override
    public List<RegionVGIVO> selectRegion(/*String typeName,String particularYear*/) {
        return vgiMapper.selectRegion(/*typeName,particularYear*/);
    }

    @Override
    public Integer DelRegion(String id) {
        return vgiMapper.DelRegion(id);
    }

    @Override
    public Integer IntoRegion(RegionVGIVO eastVO) {
        return vgiMapper.IntoRegion(eastVO);
    }
}
