package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.SpecialVO;
import com.ruoyi.system.domain_yada.UploadSpecialVO;
import com.ruoyi.system.mapper_yada.SpecialReportMapper;
import com.ruoyi.system.service_yada.ISpecialReportService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 专题报告
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:48
 */
@Service
public class SpecialReportServiceimpl  implements ISpecialReportService {

    @Resource
    private SpecialReportMapper mapper;

    @Override
    public List<SpecialVO> selectSpecial(String zone) {
        return mapper.selectSpecial(zone);
    }

    @Override
    public List<UploadSpecialVO> selectUploadSpecial(String fileName) {
        return mapper.selectUploadSpecial(fileName);
    }

    @Override
    public List<UploadSpecialVO> selectUploadSpecial1(String fileName) {
        return  mapper.selectUploadSpecial1(fileName);
    }

    @Override
    public Integer updateUploadSpecial(Integer id) {
        return mapper.updateUploadSpecial(id);
    }

    @Override
    public Integer IntoUploadSpecial(UploadSpecialVO specialVO) {
        return mapper.IntoUploadSpecial(specialVO);
    }

    @Override
    public Integer DelSpecial(Integer id) {
        return mapper.DelSpecial(id);
    }

    @Override
    public Integer IntoSpecial(SpecialVO specialVO) {
        return mapper.IntoSpecial(specialVO);
    }
}
