package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.VegetationCoverageVO;
import com.ruoyi.system.mapper_yada.AustraliaMiddleEastMapper;
import com.ruoyi.system.mapper_yada.VegetationCoverageMapper;
import com.ruoyi.system.service_yada.IVegetationCoverageService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 平均植被覆盖度和净初级生产力
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:45
 */
@Service
public class VegetationCoverageServiceimpl implements IVegetationCoverageService {


    @Resource
    private VegetationCoverageMapper coverageMapper;


    @Override
    public List<VegetationCoverageVO> selectVegetation(String type) {
        return coverageMapper.selectVegetation(type);
    }

    @Override
    public Integer DelVegetation(String id) {
        return coverageMapper.DelVegetation(id);
    }

    @Override
    public Integer IntoVegetation(VegetationCoverageVO eastVO) {
        return coverageMapper.IntoVegetation(eastVO);
    }
}
