package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.Dictionary;
import com.ruoyi.system.service_yada.IAorestCoverageService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/14 11:56
 */
@RestController
@RequestMapping(value = "/dictionary", produces = "application/json;charset=UTF-8")
public class dictionaryController
{

    @Resource
    private IAorestCoverageService service;

    @RequestMapping(value = "/select",method = {RequestMethod.GET})
    public AjaxResult Dictionary(String type)
    {
        List<Dictionary> diclist=service.selectDic(type);
        return AjaxResult.success(diclist);

    }
}
