package com.ruoyi.system.mapper_yada;

import com.ruoyi.system.domain_yada.CityFocusVO;
import com.ruoyi.system.domain_yada.CityInformation;
import com.ruoyi.system.domain_yada.OrientationVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/1 10:12
 */
public interface CityExpandMapper {

    List<CityFocusVO> selectExpand(@Param("city") String city,
                                              @Param("country") String country,
                                              @Param("year") String year);

    List<OrientationVO> selectOrientation( @Param("city") String city,
                                           @Param("superior") String superior,
                                           @Param("country") String country);

    List<CityInformation> selectInfrom(@Param("city") String city,
                                       @Param("country") String country,
                                       @Param("year") String year);
    List<CityInformation> selectMain( @Param("year") String year);
}
