package com.ruoyi.system.service_yada;

import com.ruoyi.common.utils.PageUtils;
import com.ruoyi.system.domain_yada.AorestCoverageVO;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.Dictionary;
import com.ruoyi.system.domain_yada.UploadFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 森林覆盖率
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:32
 */
public interface IAorestCoverageService {

    public List<AorestCoverageVO> selectAorestCoverage(/*String region,String particularYear*/);

    public Integer DelAorestCoverage(String id);

    public Integer IntoAorestCoverage(AorestCoverageVO eastVO);

    public Integer IntoUpload(UploadFile file);

    public List<UploadFile> selectUpload(String fileId,String fileName);

    List<Dictionary> selectDic(String codingType);
    List<Dictionary> selectNow(String codingType2);
}
