package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.GlobalTypeVO;
import com.ruoyi.system.mapper_yada.AustraliaMiddleEastMapper;
import com.ruoyi.system.mapper_yada.GlobalTypeMapper;
import com.ruoyi.system.service_yada.IGlobalTypeService;
import org.apache.commons.compress.archivers.dump.DumpArchiveEntry;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 全球各类型占比
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:47
 */
@Service
public class GlobalTypeServiceimpl implements IGlobalTypeService {

    @Resource
    private GlobalTypeMapper typeMapper;


    @Override
    public List<GlobalTypeVO> selectGlobalType(/*String typeName,  Integer particularYear*/) {
        return typeMapper.selectGlobalType(/*typeName, particularYear*/);
    }

    @Override
    public Integer DelGlobalType(String id) {
        return typeMapper.DelGlobalType(id);
    }

    @Override
    public Integer IntoGlobalType(GlobalTypeVO typeVO) {
        return typeMapper.IntoGlobalType(typeVO);
    }
}
