package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.OceanTemperatureVO;
import com.ruoyi.system.mapper_yada.AustraliaMiddleEastMapper;
import com.ruoyi.system.mapper_yada.OceanTemperatureMapper;
import com.ruoyi.system.service_yada.IOceanTemperatureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.util.List;

/**
 * 森林监测
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:47
 */
@Service
public class OceanTemperatureServiceimpl implements IOceanTemperatureService {

    @Resource
    private OceanTemperatureMapper oceanMapper;


    @Override
    public List<OceanTemperatureVO> selectOcean(LocalDate startDate) {
        return oceanMapper.selectOcean(startDate);
    }

    @Override
    public Integer DelOcean(String id) {
        return oceanMapper.DelOcean(id);
    }

    @Override
    public Integer IntoOcean(OceanTemperatureVO eastVO) {
        return oceanMapper.IntoOcean(eastVO);
    }
}
