package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.UrbanVO;
import com.ruoyi.system.mapper_yada.AorestCoverageMapper;
import com.ruoyi.system.mapper_yada.UrbanMapper;
import com.ruoyi.system.service_yada.IUrbanService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * * 城市监测
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:49
 */
@Service
public class UrbanServiceimpl implements IUrbanService {

    @Resource
    private UrbanMapper urbanMapper;

    @Override

    public List<UrbanVO> selectUrban(String name, String particularYear) {
        return urbanMapper.selectUrban(name,particularYear);
    }

    @Override
    public Integer DelUrban(String id) {
        return urbanMapper.DelUrban(id);
    }

    @Override
    public Integer IntoUrban(UrbanVO eastVO) {
        return urbanMapper.IntoUrban(eastVO);
    }
}
